Subject: Re: [Govpn-devel] build from last tarball

From: Alan Holt <[email-masked]>
Date: Tue, 19 Jan 2016 21:04:49 +0200

Hello Sergey Matveev,

how are you?
I am trying to test new version of GoVPN 5.2 client and server.
But seems like there is a lot of questions.

I can't even compile it on (Ubuntu 14.04.3 LTS) and Centos 6 with this
error, can you help please?

alex@alex-XPS:~/govpn/govpn-5.2$ make
GOPATH=/home/alex/govpn/govpn-5.2 go build -ldflags "-X govpn.Version=5.2"
govpn/cmd/govpn-client
# govpn
src/govpn/peer.go:381: undefined: bytes.LastIndexByte
src/govpn/verifier.go:83: undefined: base64.RawStdEncoding
src/govpn/verifier.go:93: undefined: base64.RawStdEncoding
src/govpn/verifier.go:108: undefined: base64.RawStdEncoding
src/govpn/verifier.go:117: undefined: base64.RawStdEncoding
make: *** [govpn-client] Error 2

On FreeBSD and Arch it compiled well, but interesting to know which
dependencies are missing.
Thank you.

After I want to test it on Ubuntu\Centos\Arch\FreeBSD
My regards.

On Thu, May 14, 2015 at 5:11 PM, <[email-masked]> wrote:

> Greetings,
>
> *** Alan Holt [2015-05-14 16:39]:
> >As you saw, it was hard a bit, even to run server and client, so may be
> >it's good Idea to make it a bit more user friendly.
>
> The main trouble as I saw is that currently I do not have enough time to
> check it with GNU/Linux systems.
>
> >Also, I found on your site, that GoVPN contain web-server that can show
> >statistics of server.
> >how do I run it?
> >what does it show to me? traffic? peers? connection issues?
>
> Yes, exactly that kind of metrics.
> http://www.cypherpunks.ru/govpn/Stats.html
> You just specify -stats host:port argument and that is all. For example:
>
> % curl -q http://localhost:5678/ | jq .
> [
>   {
>     "HeartbeatSent": 1,
>     "HeartbeatRecv": 2,
>     "LastSent": "2015-05-14T17:09:59.389331817+03:00",
>     "LastPing": "2015-05-14T17:09:59.394971856+03:00",
>     "Established": "2015-05-14T17:08:47.005758754+03:00",
>     "Noncediff": 1,
>     "CPR": 0,
>     "NoiseEnable": false,
>     "Id": "e1cad298c479175daf28169db230d1a6",
>     "Addr": {
>       "Zone": "",
>       "Port": 1194,
>       "IP": "1.2.3.4"
>     },
>     "BytesIn": 8347,
>     "BytesOut": 1794,
>     "BytesPayloadIn": 6475,
>     "BytesPayloadOut": 1326,
>     "FramesIn": 72,
>     "FramesOut": 18,
>     "FramesUnauth": 0,
>     "FramesDup": 0
>   }
> ]
>
> --
> Happy hacking, Sergey Matveev
>

-- 
*בברכה, *
*אלכס ברבר*
*PGP Public Key
<https://pgp.mit.edu/pks/lookup?op=get&search=0xF0508EB3F7C241E1>*
*www.linuxspace.org* <http://www.linuxspace.org>
*--*
*Best regards.*
*Alex Berber*
*PGP Public Key
<https://pgp.mit.edu/pks/lookup?op=get&search=0xF0508EB3F7C241E1>*
*www.linuxspace.org* <http://www.linuxspace.org/>